;Gather Macros For AutoHotKey by Aplus, based on
;Gather Macros v0.60 by IGGY

#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
; #Warn  ; Enable warnings to assist with detecting common errors.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.


SetDefaultMouseSpeed,0

;;Click the resource at X,Y then return the pointer
gatherItem(X, Y)
{
  SetMouseDelay,-1
  Click up
  MouseGetPos, MX, MY
  Click, %X%, %Y%
  MouseMove, MX, MY
  SetMouseDelay,0
  return
}


;Gather Slate
^s::
WinGetActiveStats, win_Title, win_Width, win_Height, win_Xpos, win_Ypos
loop
  {
  ImageSearch, PX, PY, 200 , 50, 576, 300, *50 Slate.png
  if (ErrorLevel < 1)
  {
    gatherItem(PX,PY)
    sleep 1000
  }
  sleep 100
}


;Gather Grass
^g::
WinGetActiveStats, win_Title, win_Width, win_Height, win_Xpos, win_Ypos
loop
  {
  ImageSearch, PX, PY, 200 , 40, 576, 150, *50 Grass.png
  if (ErrorLevel < 1)
  {
    gatherItem(PX,PY)
    sleep 1000
  }
  sleep 100
}

^i::
MsgBox, 
( LTrim
    These macros only do the picking, you do the running!
    Ctrl+s will click the slate icon anytime it appears
    Ctrl+g will click the grass icon anytime it appears
    Ctrl+r to reload the script (usefull to switch from slate to grass)
    Ctrl+p to pause/unpause
)    

^r::Reload

^p::Pause
